Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type FileControl.Ftp

    @Retention(value=RUNTIME)
    @Target(value={TYPE,FIELD})
    public static @interface FileControl.Ftp

Required Element Summary
`String` | `hostName` This option specifies the name of the FTP host, for example, ftp://ftp.bea.com.
`String` | `localDirectory` This option specifies the directory used for transferring files between the remote file system and the local file system.
`String` | `userName` This option specifies the name of the FTP user.

Optional Element Summary
`String` | `password` This option specifies the FTP user's password.
`String` | `passwordAlias` This option specifies the alias for a user's password.

Element Detail

### hostName

    public abstract String hostName

  This option specifies the name of the FTP host, for example, ftp://ftp.bea.com.

### userName

    public abstract String userName

  This option specifies the name of the FTP user.

### localDirectory

    public abstract String localDirectory

  This option specifies the directory used for transferring files between the remote file system and the local file system. When reading a remote file, the file is copied from the remote system to the local directory and then read. Similarly, when writing to a remote file system, the file is written to the local directory and then copied to the remote system.

### password

    public abstract String password

  This option specifies the FTP user's password. If you specify this attribute, you cannot specify the ftp-password-alias attribute.

  Default:
    "Not Specified"

### passwordAlias

    public abstract String passwordAlias

  This option specifies the alias for a user's password. The alias is used to look up a password in a password store. If you specify this attribute, you cannot specify the ftp-password attribute.

  Default:
    "Not Specified"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT